geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeremias Maerki-2 <...@jeremias-maerki.ch>
Subject Re: Updating the JPA spec jar for JPA 2.0
Date Fri, 05 Dec 2008 16:50:01 GMT

FYI, I ran into a problem today trying to use geronimo-jpa_3.0_spec-1.1.1.jar
in an OSGi context together with Spring ORM: The spec JAR exports the
javax.xml.persistence package as version 3.0 but Spring expects "[1.0.0,
2.0.0)". I guess I'll have to patch the spec JAR or use another one from
somewhere. IMO, exporting version 3.0 is incorrect.


djencks wrote:
> 
> Before doing this I'd like to have a plan for what to do in a couple  
> years when jpa 3.0 is proposed..... how will we avoid a collision?   
> the existing geronimo-jpa_3.0_spec-<version>.jar jars will still be  
> out there.
> 

-- 
View this message in context: http://www.nabble.com/Updating-the-JPA-spec-jar-for-JPA-2.0-tp20427224s134p20857980.html
Sent from the Apache Geronimo - Dev mailing list archive at Nabble.com.


Mime
View raw message